/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React, { Component, useState, useEffect } from 'react';
import styled from 'styled-components';
import Grid from '@material-ui/core/Grid';



import Banner3 from '../img/ajuda/Banner3.png';
import EncontrandoRecurso from '../img/ajuda/Encontrando_recursos.png';
import GerenciandoConta from '../img/ajuda/Gerenciando_a_conta.png';
import ParticipandoRede from '../img/ajuda/Participando_da_rede.png';
import PublicandoRecursos from '../img/ajuda/Publicando_recursos.png';

const Secao1 = styled.div`
  height: 374px;
  background-color:#00bcd4;
  text-align: center;
  .container {
    height: 100%;
    width: 1170px;
    display: flex;
    -webkit-box-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    align-items: center;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;

    img {
      position: absolute;
      left: 364px;
      top: 36.5%;
      width: 230px;
      float: left;
      min-height: 1px;
      padding-right: 15px;
      padding-left: 15px;

    }


    .conteudo {
      display: flex;
      justify-content: center;

      .title {

      }
    }

    h2 {
      font-family: Pompiere,cursive;
      font-size: 35px;
      margin: 0;
      margin-top: 45px;
      color:#fff;
      font-weight: 500;
      line-height: 1.1;
    }

  }
`

const Secao2 = styled.div`
  height: 536px;
  background-color:#f4f4f4;
  text-align: center;
  margin-bottom: 20px;

  .container {
    height: 100%;
    width: 1170px;
    margin-right: auto;
    margin-left: auto;

    .container-secao {
      height: 100%;
      padding-top: 50px;
      .conteudo {
        width: 100%;
        text-align: center;
        .cabecalho {
          margin-bottom: 50px;
          text-align: center;
          h2 {
            font-size: 30px;
            font-weight: lighter;
            color:#666;
            margin: 0;
          }
        }
        .card-ajuda {

          height: 360px;
          margin-bottom: 20px


          .card {
            height: 280px;
            padding: 40px 15px;
            text-align: center;
            font-size: 14px;
            background-color:#fff;
            box-shadow: 0 1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24);

            h3 {
              font-size: 24px;
              font-weight: 400;
              color: #666;
              margin-top: 20px;
              margin-bottom: 10px;
              line-height: 1.1;
            }

            hr {
              margin-top: 20px;
              margin-bottom: 20px;
              border: 0;
              border-top: 1px solid #eee;
              color: #a5a5a5;
            }

            a {
              font-size: 15px;
              color: #666;
              text-decoration: none;
              text-align: center;

            }

            img {
              height: 62px ;
              width: 62px ;
            }

          }

          .card-rodape {
            box-sizing: border-box;

            a {
              border-radius: 0;
              width: 240.5px;
              font-size: 13px;
              font-weight: 700;
              color: #fff;
              transition: .2s ease;
              border: none;
              height: 40px;
              padding: 0 20px;
              line-height: 40px;
              background-color: #00bcd4;
              touch-action: manipulation;
              cursor: pointer;
              text-decoration: none;
              display: inline-block;
              margin-bottom: 0;
              text-align: center;
              white-space: nowrap;
              vertical-align: middle;
              touch-action: manipulation;
              cursor: pointer;
              user-select: none;
              box-shadow: 0 1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24);

            }
          }

        }
      }
    }
  }


`

const Secao3 = styled.div`
  height: 375px;
  padding: 0;
  text-align: center;
  background-color: #fff;
  width: 1170px;
  margin-inline: auto;
  color: rgba(0,0,0,0.87);

  .links {
    font-size: 15px;
    font-weight: lighter;
    text-align: center;
    margin: 0 0 10px;
    line-height: 1.42857143;
  }

  .titulo-sobre-ajuda {
    font-family: Pompiere;
    font-size: 30px;
    margin-block: 40px
  }

  .conteudo-sobre-ajuda {
    font-size: 15px;
    margin-bottom: 30px;
    margin: 0 0 10px;
  }

  hr {
    width: 350px;
    border: 0;
    border-top: 1px solid #ccc;
    margin-top: 20px;
    margin-bottom: 20px;

  }



`

const Secao4 = styled.div`
  height: 290px;

  .container {
    height: 100%;
    color: #a5a5a5;
    width: 1170px;
    margin-inline: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    .conteudo {
      width: 100%;
      text-align: center;

      h2 {
        font-size: 24px;
        font-weight: lighter;
        color:#666;
        margin-top: 20px;
        margin-bottom: 10px;
        text-align: center;
      }

      span {
        font-size: 15px;
        color:#777;
        text-align: center;

      }

      button {
        margin-top: 25px;
        color: rgba(255,255,255,0.87);
        background-color: rgb(255,127,0);
        box-shadow: 0 2px 5px 0 rgba(0,0,0,.26);
        outline: none;display: inline-block;
        position: relative;
        cursor: pointer;
        min-height: 36px;
        min-width: 88px;
        line-height: 36px;
        vertical-align: middle;
        -webkit-box-align: center;
        align-items: center;
        text-align: center;
        border-radius: 3px;
        box-sizing: border-box;
        user-select: none;
        border: 0;
        padding: 0 6px;
        margin: 6px 8px;
        white-space: nowrap;
        text-transform: uppercase;
        font-weight: 500;
        font-size: 14px;
        font-style: inherit;
        font-variant: inherit;
        font-family: inherit;
        text-decoration: none;
        overflow: hidden;
        transition: box-shadow .4s cubic-bezier(.25,.8,.25,1),background-color .4s cubic-bezier(.25,.8,.25,1);
        letter-spacing: .01em;
        a {
          text-decoration: none;
          color: #fff;
        }
      }
    }
  }


`




function HelpCenter(props) {
  return(
    <div style={{backgroundColor: "#f4f4f4"}}>
      <link href="https://fonts.googleapis.com/css?family=Pompiere|Roboto:300,400&display=swap" rel="stylesheet"/>

      <Secao1>
        <div className= "container">
          <img src={Banner3} alt="banner3"/>
          <div className= "conteudo">
            <div className= "title">
              <h2>OLÁ! COMO PODEMOS AJUDAR?</h2>
            </div>
          </div>
        </div>
      </Secao1>

      <Secao2>
        <div className="container">
          <div className="container-secao">
            <div className="conteudo">
              <div className="cabecalho">
                <h2>Tópicos de Ajuda</h2>
              </div>
              <div>
                <Grid container spacing={2}>
                  <Grid item xs={3}>
                    <div className="card-ajuda">
                      <div className="card">
                        <img src={PublicandoRecursos} alt="" />
                        <h3>Publicando Recursos</h3>
                        <hr/>
                        <a>Por que enviar um recurso?</a>
                        <br/>
                        <a>Como publicar um recurso?</a>
                        <br/>
                        <a>Quais tipos de recurso e formatos a plataforma aceita?</a>
                        <br/>
                      </div>
                      <div className="card-rodape">
                        <a>VER MAIS</a>
                      </div>
                    </div>
                  </Grid>
                  <Grid item xs={3}>
                    <div className="card-ajuda">
                      <div className="card">
                        <img src={EncontrandoRecurso} alt="" />
                        <h3>Encontrando Recursos</h3>
                        <hr/>
                        <a>Como fazer uma busca?</a>
                        <br/>

                        <a>Como filtrar os resultados?</a>
                        <br/>
                        <a>Como os recursos são ranqueados?</a>
                        <br/>
                      </div>
                      <div className="card-rodape">
                        <a>VER MAIS</a>
                      </div>
                    </div>
                  </Grid>
                  <Grid item xs={3}>
                    <div className="card-ajuda">
                      <div className="card">
                        <img src={ParticipandoRede} alt="" />
                        <h3>Participando da Rede</h3>
                        <hr/>
                        <a>Comentanto os recursos</a>
                        <br/>
                        <a>Como relatar uma experiência ou avaliar um recurso?</a>
                        <br/>
                      </div>
                      <div className="card-rodape">
                        <a>VER MAIS</a>
                      </div>
                    </div>
                  </Grid>
                  <Grid item xs={3}>
                    <div className="card-ajuda">
                      <div className="card">
                        <img src={GerenciandoConta} alt="" />
                        <h3>Gerenciando a Conta</h3>
                        <hr/>
                        <a>Por que me cadastrar?</a>
                        <br/>
                        <a>Como fazer meu cadastro?</a>
                        <br/>
                        <a>Como alterar minha senha?</a>
                        <br/>
                        <a>Como acessar a conta?</a>
                        <br/>
                        <a>Esqueci minha senha. O que fazer?</a>
                        <br/>
                      </div>
                      <div className="card-rodape">
                        <a>VER MAIS</a>
                      </div>
                    </div>
                  </Grid>
                </Grid>
              </div>
            </div>
          </div>
        </div>

      </Secao2>

      <Secao3>
        <Grid style={{height:"100%"}} container spacing={2}>
          <Grid style={{backgroundColor: "#333",paddingInline:"0" }} item xs={6}>
            <iframe src="https://player.vimeo.com/video/231609051" width="100%" height="100%" frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe>
          </Grid>
          <Grid item xs={6}>
            <p className="titulo-sobre-ajuda">Plataforma MEC de Recursos Educacionais Digitais</p>
            <p className="conteudo-sobre-ajuda">
              Construa conosco a plataforma e amplie sua rede de conhecimento<br/>
              interagindo com pessoas envolvidas com experiências que ocorrem<br/>
              em todo o Brasil!
            </p>
            <hr/>
            <Grid container spacing={1}>
              <Grid item xs={6}>
                <p className="links">
                  <br/>
                  <a>O que é a Plataforma MEC</a>
                  <br/>
                  <a>Como foi construida a Plataforma<br/>MEC?</a>
                  <br/>
                  <a>Quais são os Portais Parceiros?</a>
                </p>
              </Grid>
              <Grid item xs={6}>
                <p className="links">
                  <br/>
                  <a>Entendendo as 3 áreas</a>
                  <br/>
                  <a>Tipos de recursos</a>
                  <br/>
                  <a>Softwares específicos</a>
                </p>
              </Grid>
            </Grid>

          </Grid>
        </Grid>
      </Secao3>

      <Secao4>
        <div className="container">
          <div className="conteudo">
            <h2>Não encontrou o que você precisa?</h2>
            <span>Entre em contato com a nossa Central de Ajuda</span>
            <br/>
            <button><a href="contato">ENTRAR EM CONTATO</a></button>

          </div>
        </div>
      </Secao4>

    </div>
  );
}

export default HelpCenter;
